<?php
require_once 'ApiGlobalFunctions.php';
$servidor=$_SERVER['REMOTE_ADDR'];
$usuario=$_POST['uid'];
$password=$_POST['key'];
$url=$_POST['url'];
$include=includec($url);
include $include;
error_log("WLIST: ".$usuario."--".$password."--".$url."--".$servidor."\n", 3, "php.log");
$validate=loginkey($usuario,$password,$url);
$validate=1;
if($validate==1){
	mysqli_set_charset($link, "utf8");

   $query=mysqli_query($link, "SELECT bodegasid,bodegas_tks_nombre,bodegas_tks_telefono,bodegas_tks_horarioinicialbode,bodegas_tks_horariofinalbodega, bodegas_tks_direccioncomercial,
    bodegas_tks_comunacomercial,bodegas_tks_regioncomercial,bodegas_tks_pais 
    FROM vtiger_bodegas 
    INNER JOIN vtiger_crmentity ON vtiger_crmentity.crmid=vtiger_bodegas.bodegasid 
    WHERE deleted='0' AND bodegas_tks_estado='Abierto'");
    $num=mysqli_num_rows($query);    
	$z=0;                  
    while ($row = mysqli_fetch_array($query)) {           
        $wID=$row['bodegasid'];
        $wNombre=$row['bodegas_tks_nombre'];
        $wTelefono=$row['bodegas_tks_telefono'];
        $wHentrada=$row['bodegas_tks_horarioinicialbode'];
        $wHsalida=$row['bodegas_tks_horariofinalbodega'];
        $wDireccion=$row['bodegas_tks_direccioncomercial'];
        $wComuna=$row['bodegas_tks_comunacomercial'];        
        $wRegion=$row['bodegas_tks_regioncomercial'];
        $wPais=$row['bodegas_tks_pais'];
         $docs[$z]=array('wID'=>$wID,'wNombre'=>$wNombre,'wTelefono'=>$wTelefono,'wHentrada'=>$wHentrada,'wHsalida'=>$wHsalida,'wDireccion'=>$wDireccion,'wComuna'=>$wComuna,'wRegion'=>$wRegion,'wPais'=>$wPais);
        $z++;            
        }
     echo json_encode(setDataJSON($docs,1));
}
